# CommonFieldType enum

Common field types.

Inheritance
  - Object
  - Enum
  - CommonFieldType
Available extensions
  - EnumName

## Values

ID → const CommonFieldType

  Document ID.

SURNAME → const CommonFieldType

  Person surname field.

MAIDEN_NAME → const CommonFieldType

  Person maiden name field.

GIVEN_NAMES → const CommonFieldType

  Person given names field.

BIRTH_DATE → const CommonFieldType

  Person birth date field.

NATIONALITY → const CommonFieldType

  Person nationality field.

BIRTHPLACE → const CommonFieldType

  Person birthplace field.

EXPIRY_DATE → const CommonFieldType

  Document expiry date field.

EYE_COLOR → const CommonFieldType

  Person eye color field.

HEIGHT → const CommonFieldType

  Person height field.

ISSUE_DATE → const CommonFieldType

  Document issue date field.

ISSUING_AUTHORITY → const CommonFieldType

  Document issuing authority field.

ADDRESS → const CommonFieldType

  Address field.

PSEUDONYM → const CommonFieldType

  Pseudonym field.

MRZ → const CommonFieldType

  MRZ field.

COUNTRY_CODE → const CommonFieldType

  Country code (ISO-3166 Alpha-3) field.

GENDER → const CommonFieldType

  Gender field.

SIGNATURE → const CommonFieldType

  Signature field.

PHOTO → const CommonFieldType

  Photo field.

VALID_FROM_DATE → const CommonFieldType

  Date of start of validity field.

ROUTING_NUMBER → const CommonFieldType

  Check routing number.

ACCOUNT_NUMBER → const CommonFieldType

  Check account number.

PLACE_OF_ISSUE → const CommonFieldType

  Place of issue for the identity card.

TITLE_TYPE → const CommonFieldType

  Type of the title field in the identity document.

REMARKS → const CommonFieldType

  Remarks field in the identity document.

NAME → const CommonFieldType

  Full name field.

CARD_ACCESS_NUMBER → const CommonFieldType

  Card access number field.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<CommonFieldType>
  A constant List of the values in this enum, in order of their declaration.